Subject: Re: [clue] Data model - encoding group mandatory for all captures?

From: Christian Groves <[email-masked]>
Date: Mon, 21 Jul 2014 14:33:59 +1000

Hello Rob,

I agree, it seems that <encGroupIDREF> should be optional given that 
individual captures do not  have to have an encoding. As you point out 
this is necessary for MCCs.

Regards, Christian

On 1/07/2014 2:39 AM, Robert Hansen wrote:
> One issue that I ran into while preparing a sample ADVERTISMENT of one 
> of our telepresence endpoints for the wiki - <encGroupIDREF> is 
> mandatory for all captures. However, what about captures that can't be 
> directly configured, but are instead just informational for MCCs? For 
> example, in this case I wanted to represent that the system has three 
> cameras, but only makes a single, voice-switched stream available - 
> you can't configure a captureEncoding of any of the cameras directly.
>
> In my example was able to work around the problem by making those 
> captures unavailable by not including them in the <SimultaneousSets> 
> list, but with the potential for captures to exist that are there 
> purely to provide info for the contents of MCCs it seems we should 
> have a way of expressing this properly. This isn't a simultaneity 
> issue but one where they can't be encoded. As such, making 
> <encGroupIDREF> optional would seem to be the answer here.
>
> Rob
>
>
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue